﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraChartStepLineChart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("LabCol", typeof(DateTime));
            dt.Columns.Add("Monday", typeof(double));
            dt.Columns.Add("Tues", typeof(double));

dt.Rows.Add(DateTime.Today.AddYears(1500).AddYears(- DateTime.Today.Year), 2);
dt.Rows.Add(DateTime.Today.AddYears(2000).AddYears(-DateTime.Today.Year), 20);
dt.Rows.Add(DateTime.Today.AddYears(3500).AddYears(-DateTime.Today.Year), 30);
dt.Rows.Add(DateTime.Today.AddYears(4000).AddYears(-DateTime.Today.Year), 40);
dt.Rows.Add(DateTime.Today.AddYears(4500).AddYears(-DateTime.Today.Year), 50);

ultraChart1.Axis.X.TimeAxisStyle.TimeAxisStyle = Infragistics.UltraChart.Shared.Styles.RulerGenre.Discrete;
ultraChart1.Axis.X.TickmarkIntervalType = Infragistics.UltraChart.Shared.Styles.AxisIntervalType.Years;
ultraChart1.Axis.X.Labels.ItemFormat = Infragistics.UltraChart.Shared.Styles.AxisItemLabelFormat.Custom;
ultraChart1.Axis.X.Labels.ItemFormatString = "<ITEM_LABEL:yyyy>";
            
ultraChart1.DataSource = dt;

            DataTable dt1 = new DataTable();
            dt1.Columns.Add("LabCol", typeof(string));
            dt1.Columns.Add("Monday", typeof(double));
            dt1.Columns.Add("Tues", typeof(double));

            dt1.Rows.Add("P1", 10,10);
            dt1.Rows.Add("P2", 10, 20);
            dt1.Rows.Add("P3", 10, 20);
            dt1.Rows.Add("P4", 40, 20);
            dt1.Rows.Add("P5", 40, 30);
            dt1.Rows.Add("P6", 50, 30);
            dt1.Rows.Add("P7", 50, 50);

            ultraChart2.Axis.X.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;
            ultraChart2.Axis.X.RangeMin = 0;
            ultraChart2.Axis.X.RangeMax = 100;

            ultraChart2.DataSource = dt1;


        }
    }
}
